org.cpsolver.ifs.util

## Interface ProgressListener

- All Known Implementing Classes:
    ProgressWriter

      public interface ProgressListener

  Progress bar listener.
  Version:
    IFS 1.3 (Iterative Forward Search)
    Copyright (C) 2006 - 2014 Tomáš Müller
    muller@unitime.org
    http://muller.unitime.org
    This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.
    This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
    You should have received a copy of the GNU Lesser General Public License along with this library; if not see http://www.gnu.org/licenses/.
  Author:
    Tomáš Müller

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `phaseChanged(String phase)` Progress phase is changed
    `void` | `progressChanged(long currentProgress, long maxProgress)` Progress bar is changed
    `void` | `progressMessagePrinted(Progress.Message message)` Progress message is printed
    `void` | `progressRestored()` Progress is restored
    `void` | `progressSaved()` Progress is saved
    `void` | `statusChanged(String status)` Progress status is changed

- - ### Method Detail

    - #### statusChanged

          void statusChanged(String status)

      Progress status is changed
      Parameters:
        `status` - current status name

    - #### phaseChanged

          void phaseChanged(String phase)

      Progress phase is changed
      Parameters:
        `phase` - current phase name

    - #### progressChanged

          void progressChanged(long currentProgress,
                               long maxProgress)

      Progress bar is changed
      Parameters:
        `currentProgress` - current progress
        `maxProgress` - maximum progress in this phase

    - #### progressSaved

          void progressSaved()

      Progress is saved

    - #### progressRestored

          void progressRestored()

      Progress is restored

    - #### progressMessagePrinted

          void progressMessagePrinted(Progress.Message message)

      Progress message is printed
      Parameters:
        `message` - a message to print